Variable names

The first character of a variable name must be an alphabetic character, that is, `A` to `Z`. Except for this restriction, variable names can be any combination of:

alphabetic characters | `ABC...XYZ`
digits | `0123456789`
underscore | `_`
dollar sign | `$`

There is no maximum length for variable names.

All variable names are stored internally as upper case, but can be refered to as upper or lower case.

Function names are reserved names and cannot be used as variable names.

The `VARNAME` function accepts a variable, either string or numeric, as its argument, and converts that variable's name into a string. For example, entering `a=VARNAME(x)` would create a string variable called `A` with the value `"X"`.

Variables
Scalar variables